Skip to main content

DjangoDebugSQL

Represents a single database query made to a Django managed DB.

type DjangoDebugSQL {
vendor: String!
alias: String!
sql: String
duration: Float!
rawSql: String!
params: String!
startTime: Float!
stopTime: Float!
isSlow: Boolean!
isSelect: Boolean!
transId: String
transStatus: String
isoLevel: String
encoding: String
}

Fields

DjangoDebugSQL.vendor ● String! non-null scalar

The type of database being used (e.g. postrgesql, mysql, sqlite).

DjangoDebugSQL.alias ● String! non-null scalar

The Django database alias (e.g. 'default').

DjangoDebugSQL.sql ● String scalar

The actual SQL sent to this database.

DjangoDebugSQL.duration ● Float! non-null scalar

Duration of this database query in seconds.

DjangoDebugSQL.rawSql ● String! non-null scalar

The raw SQL of this query, without params.

DjangoDebugSQL.params ● String! non-null scalar

JSON encoded database query parameters.

DjangoDebugSQL.startTime ● Float! non-null scalar

Start time of this database query.

DjangoDebugSQL.stopTime ● Float! non-null scalar

Stop time of this database query.

DjangoDebugSQL.isSlow ● Boolean! non-null scalar

Whether this database query took more than 10 seconds.

DjangoDebugSQL.isSelect ● Boolean! non-null scalar

Whether this database query was a SELECT.

DjangoDebugSQL.transId ● String scalar

Postgres transaction ID if available.

DjangoDebugSQL.transStatus ● String scalar

Postgres transaction status if available.

DjangoDebugSQL.isoLevel ● String scalar

Postgres isolation level if available.

DjangoDebugSQL.encoding ● String scalar

Postgres connection encoding if available.

Member Of

DjangoDebug object

Was this page helpful?